# SubDisableEvent (SubServers.Host)

net.ME1312.SubServers.Host.API.Event

## Class SubDisableEvent

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event
  - - net.ME1312.SubServers.Host.API.Event.SubDisableEvent

    public class SubDisableEvent
    extends Event

SubServers.Host Disable Event Class

### Constructor Summary

Constructors
Constructor and Description
`SubDisableEvent(SubServers host, int exit)` SubServers.Host Disable Event

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getExitCode()` Get the Exit Code
`void` `setExitCode(int value)` Set the Exit Code

### Methods inherited from class net.ME1312.SubServers.Host.Library.Event.Event

`getAPI, getHandlers, getPlugin, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SubDisableEvent

    public SubDisableEvent(SubServers host,
                           int exit)

SubServers.Host Disable Event

Parameters:
  `host` - SubServers.Host
  `exit` - Exit Code

### Method Detail

#### getExitCode

    public int getExitCode()

Get the Exit Code

Returns:
  Exit Code

#### setExitCode

    public void setExitCode(int value)

Set the Exit Code

Parameters:
  `value` - Value